name = "Astolfo Mod"
dependencies = {
	{"exdilin", "0.5.0"}
}

function register(registerType)
	if registerType == "textures" then
		exdilin.register_and_load_texture("Hair Icon", "Face.png", "Normal", "OneSideTo1x1")
	end
end

function init()
	exdilin.load_block_model("Hair Block", "Hair.obj")
end

function pre_init()
	local block = exdilin.new_block({
		id = "Hair Block",
		modelName = "Hair Block"
	})
	local blockItem = block.default_block_item("Hair Icon", "chase")
	blockItem.register()
	block.register()

	local alexTextureItem = exdilin.texture_item("Hair Icon")
	alexTextureItem.register()
end